Bug 135616 - [patch] kaddressbook printing with many empty fields
[patch] kaddressbook printing with many empty fields
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-10-13 16:18 EDT by Hans Ecke
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-21 15:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ecke 2004-10-13 16:18:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; en_US) (KHTML, like Gecko)

Description of problem:

I recently put a patch into KDE's bugzilla at
(This patch is against kdepim and kdelibs)

This patch gives a sane sorting order for kaddressbook printing if you have an address book with many blank fields. Without this patch kaddressbook printing is totally broken if you have blank fields. The patch is on top of kdelibs-3.3.0 and kdepim-3.3.0. In the linux workstation cluster I admin here at the university we are running it without any problems. As I say in the comments to the patch, it might be too naive from a performance POV, but we do not experience any performance degradation at all. Some of my users (who use kaddressbook) are also very happy about the change.

I do not know when this will be incorporated upstream. The owner of the bug reacts sometimes fast, sometimes less so. In the meantime it would be nice if kaddressbook printing would be fixed.

Would you consider incorporating this into your distribution?



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have an addressbook in which many contacts have one or two of
  Given Name, Family Name, Formatted Name empty (blank)
2. Print that addressbook, sorting by any of those 3 categories

Actual Results:  Notice that all contacts where the sorting category is empty are printed at the bottom in random order

Expected Results:  The contacts with the empty sorting fields should be at the bottom but sorted by some reasonable other field that is not empty.

Additional info:
Comment 1 Hans Ecke 2007-09-21 15:03:29 EDT
Fixed upstream, incorporated into fedora KDE packages, closing.

Note You need to log in before you can comment on or make changes to this bug.